Subject: Re: [PATCH] parse_color: fix return value for numeric color values 0-8

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 Jan 2015 16:36:05 -0800

Jeff King <[email-masked]> writes:

>> Thanks; somebody should have caught this before we applied and
>> merged to 'master', but the process obviously did not work well.
>
> I am not too surprised. The use of numeric values for colors was
> completely undocumented, and we did not have any test coverage for it. I
> did not even know it existed until I started refactoring the function,
> and wondered what was going on (though I did try to preserve it once I
> found it).

I was specifically thinking about the failure of "eyeball test".
I often do "git am" followed by "git show -U20" to check the change
in context, which _should_ have caught the lack of return there.